Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer
Class CustomerValue

    java.lang.Object
      |
      +--com.beasys.commerce.axiom.contact.ContactValue
            |
            +--com.beasys.commerce.ebusiness.customer.CustomerValue

All Implemented Interfaces:
  Serializable

public class CustomerValue
extends com.beasys.commerce.axiom.contact.ContactValue

Stores the information required to do business with a customer.

See Also:
  `Customer`, `CustomerHome`, `CustomerDelegate.getCustomerByValue()`, `CustomerDelegate.setCustomerByValue(CustomerValue)`, Serialized Form

Field Summary
`Map` | `creditCards` Containment: By Value Multiplicity: 0:N Interface: java.util.Map
`String` | `customerType` There may be several different types of customer ordering goods.
`Timestamp` | `dateOfBirth`
`String` | `educationLevel`
`Boolean` | `emailOptIn`
`String` | `employmentStatus`
`String` | `gender`
`String` | `incomeRange`
`String` | `maritalStatus`
`String` | `occupation`
`String` | `quality`
`Map` | `shippingAddress` Containment: By Value Multiplicity: 0:N Interface: java.util.Map

Fields inherited from class com.beasys.commerce.axiom.contact.ContactValue
`businessPhone, contactAddress, email, fax, firstName, homePhone, identifier, lastName, middleName, suffix, title`

Constructor Summary
`CustomerValue()` The constructor has been made public in order to allow defer entity creation for interactive web applications.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### creditCards

    public Map creditCards

  - Containment: By Value
  - Multiplicity: 0:N
  - Interface: java.util.Map

### customerType

    public String customerType

  There may be several different types of customer ordering goods. eg standard customer, preferred customer, business customer etc. customerType is used to specify this.
  - Containment: By Value
  - Multiplicity: 1:1

### shippingAddress

    public Map shippingAddress

  - Containment: By Value
  - Multiplicity: 0:N
  - Interface: java.util.Map

### incomeRange

    public String incomeRange

### maritalStatus

    public String maritalStatus

### educationLevel

    public String educationLevel

### dateOfBirth

    public Timestamp dateOfBirth

### gender

    public String gender

### occupation

    public String occupation

### employmentStatus

    public String employmentStatus

### emailOptIn

    public Boolean emailOptIn

### quality

    public String quality

Constructor Detail

### CustomerValue

    public CustomerValue()

  The constructor has been made public in order to allow defer entity creation for interactive web applications. The public constructor allows applications to create CustomerValue objects to hold attributes without creating the entity.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved